RoutesMailer module
Mailer routes
URLs the Mailer module answers, their parameters and the variables each view receives.
Admin view
GET
/cdna-admin/mailer/batches
manageBatches
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$batches |
Collection<Batch> |
Collection of Batches |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
GET
/cdna-admin/mailer/emails/{batch.id}
manageEmails
Retrieve available records and assign them to the template for editing.
Path parameters
batch.id matches \d+
| Variable | Type | Description |
|---|---|---|
$emails |
Collection<Email> |
Collection of Emails |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
Only GET routes list their variables.